Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::SocketSignals Class Reference

Abstract base class that implements the virtual signal handlers for Gtk::Socket. More...

`#include <xfc/gtk/socketsignals.hh>`

Inheritance diagram for Xfc::Gtk::SocketSignals:

List of all members.

## Public Member Functions

Signal Handlers

- virtual void on_plug_added ()
    Called when a widget is embedded into a socket.
- virtual bool on_plug_removed ()
    Called when a widget is removed from a socket.

## Protected Member Functions

Constructors

- SocketSignals (Socket *socket)
    Constructs a new SocketSignals object.
- virtual ~SocketSignals ()=0
    Destructor.

## Detailed Description

Abstract base class that implements the virtual signal handlers for Gtk::Socket.

## Constructor & Destructor Documentation

Xfc::Gtk::SocketSignals::SocketSignals | ( | Socket * | socket | ) | `[protected]`

Constructs a new SocketSignals object.

Parameters:

  | socket | A Socket object inheriting the SocketSignals implementation.

The documentation for this class was generated from the following file:

- socketsignals.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3